package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.UniqueConstraint;

/**
 * ClientSecureCommunicationData generated by hbm2java
 */
@Entity
@Table(name="client_secure_communication_data"
    ,schema="public"
    , uniqueConstraints = {@UniqueConstraint(columnNames="mobile_number_id"), @UniqueConstraint(columnNames="aes_key"), @UniqueConstraint(columnNames="api_key")} 
)
public class ClientSecureCommunicationData  implements java.io.Serializable {


     private Long id;
     private MobileNumbers mobileNumbers;
     private RegisteredUser registeredUser;
     private String apiKey;
     private Date apiKeyModifiedAt;
     private String aesKey;
     private Date aesKeyModifiedAt;
     private String clientEccPublicKey;
     private String sharedSecret;
     private String keyNegotiationStatusType;
     private Integer keyExchangeSeqNumber;
     private Long messageSequenceNumber;
     private String newApiKey;
     private Date newApiKeyModifiedAt;
     private String newAesKey;
     private Date newAesKeyModifiedAt;
     private String keyRenegotiationStatusType;
     private String firstApiKey;
     private String customAlphabet;
     private String description;
     private String deviceName;
     private Date modifiedAt;
     private Date createdAt;
     private Set<BiMappings> biMappingses = new HashSet<BiMappings>(0);
     private Set<ClientSecureCommunicationDataHistory> clientSecureCommunicationDataHistories = new HashSet<ClientSecureCommunicationDataHistory>(0);
     private Set<SmsReceived> smsReceiveds = new HashSet<SmsReceived>(0);
     private Set<TemporarySmsStorage> temporarySmsStorages = new HashSet<TemporarySmsStorage>(0);
     private Set<UnhandledSmsReceived> unhandledSmsReceiveds = new HashSet<UnhandledSmsReceived>(0);
     private Set<EmailForwardOutSettings> emailForwardOutSettingses = new HashSet<EmailForwardOutSettings>(0);
     private Set<SmsSent> smsSents = new HashSet<SmsSent>(0);
     private Set<WsForwardOutSettings> wsForwardOutSettingses = new HashSet<WsForwardOutSettings>(0);

    public ClientSecureCommunicationData() {
    }

	
    public ClientSecureCommunicationData(RegisteredUser registeredUser) {
        this.registeredUser = registeredUser;
    }
    public ClientSecureCommunicationData(MobileNumbers mobileNumbers, RegisteredUser registeredUser, String apiKey, Date apiKeyModifiedAt, String aesKey, Date aesKeyModifiedAt, String clientEccPublicKey, String sharedSecret, String keyNegotiationStatusType, Integer keyExchangeSeqNumber, Long messageSequenceNumber, String newApiKey, Date newApiKeyModifiedAt, String newAesKey, Date newAesKeyModifiedAt, String keyRenegotiationStatusType, String firstApiKey, String customAlphabet, String description, String deviceName, Date modifiedAt, Date createdAt, Set<BiMappings> biMappingses, Set<ClientSecureCommunicationDataHistory> clientSecureCommunicationDataHistories, Set<SmsReceived> smsReceiveds, Set<TemporarySmsStorage> temporarySmsStorages, Set<UnhandledSmsReceived> unhandledSmsReceiveds, Set<EmailForwardOutSettings> emailForwardOutSettingses, Set<SmsSent> smsSents, Set<WsForwardOutSettings> wsForwardOutSettingses) {
       this.mobileNumbers = mobileNumbers;
       this.registeredUser = registeredUser;
       this.apiKey = apiKey;
       this.apiKeyModifiedAt = apiKeyModifiedAt;
       this.aesKey = aesKey;
       this.aesKeyModifiedAt = aesKeyModifiedAt;
       this.clientEccPublicKey = clientEccPublicKey;
       this.sharedSecret = sharedSecret;
       this.keyNegotiationStatusType = keyNegotiationStatusType;
       this.keyExchangeSeqNumber = keyExchangeSeqNumber;
       this.messageSequenceNumber = messageSequenceNumber;
       this.newApiKey = newApiKey;
       this.newApiKeyModifiedAt = newApiKeyModifiedAt;
       this.newAesKey = newAesKey;
       this.newAesKeyModifiedAt = newAesKeyModifiedAt;
       this.keyRenegotiationStatusType = keyRenegotiationStatusType;
       this.firstApiKey = firstApiKey;
       this.customAlphabet = customAlphabet;
       this.description = description;
       this.deviceName = deviceName;
       this.modifiedAt = modifiedAt;
       this.createdAt = createdAt;
       this.biMappingses = biMappingses;
       this.clientSecureCommunicationDataHistories = clientSecureCommunicationDataHistories;
       this.smsReceiveds = smsReceiveds;
       this.temporarySmsStorages = temporarySmsStorages;
       this.unhandledSmsReceiveds = unhandledSmsReceiveds;
       this.emailForwardOutSettingses = emailForwardOutSettingses;
       this.smsSents = smsSents;
       this.wsForwardOutSettingses = wsForwardOutSettingses;
    }
   
     @SequenceGenerator(name="generator", sequenceName="client_secure_communication_data_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="mobile_number_id", unique=true)
    public MobileNumbers getMobileNumbers() {
        return this.mobileNumbers;
    }
    
    public void setMobileNumbers(MobileNumbers mobileNumbers) {
        this.mobileNumbers = mobileNumbers;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="user_id", nullable=false)
    public RegisteredUser getRegisteredUser() {
        return this.registeredUser;
    }
    
    public void setRegisteredUser(RegisteredUser registeredUser) {
        this.registeredUser = registeredUser;
    }

    
    @Column(name="api_key", unique=true)
    public String getApiKey() {
        return this.apiKey;
    }
    
    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="api_key_modified_at", length=29)
    public Date getApiKeyModifiedAt() {
        return this.apiKeyModifiedAt;
    }
    
    public void setApiKeyModifiedAt(Date apiKeyModifiedAt) {
        this.apiKeyModifiedAt = apiKeyModifiedAt;
    }

    
    @Column(name="aes_key", unique=true)
    public String getAesKey() {
        return this.aesKey;
    }
    
    public void setAesKey(String aesKey) {
        this.aesKey = aesKey;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="aes_key_modified_at", length=29)
    public Date getAesKeyModifiedAt() {
        return this.aesKeyModifiedAt;
    }
    
    public void setAesKeyModifiedAt(Date aesKeyModifiedAt) {
        this.aesKeyModifiedAt = aesKeyModifiedAt;
    }

    
    @Column(name="client_ecc_public_key")
    public String getClientEccPublicKey() {
        return this.clientEccPublicKey;
    }
    
    public void setClientEccPublicKey(String clientEccPublicKey) {
        this.clientEccPublicKey = clientEccPublicKey;
    }

    
    @Column(name="shared_secret")
    public String getSharedSecret() {
        return this.sharedSecret;
    }
    
    public void setSharedSecret(String sharedSecret) {
        this.sharedSecret = sharedSecret;
    }

    
    @Column(name="key_negotiation_status_type")
    public String getKeyNegotiationStatusType() {
        return this.keyNegotiationStatusType;
    }
    
    public void setKeyNegotiationStatusType(String keyNegotiationStatusType) {
        this.keyNegotiationStatusType = keyNegotiationStatusType;
    }

    
    @Column(name="key_exchange_seq_number")
    public Integer getKeyExchangeSeqNumber() {
        return this.keyExchangeSeqNumber;
    }
    
    public void setKeyExchangeSeqNumber(Integer keyExchangeSeqNumber) {
        this.keyExchangeSeqNumber = keyExchangeSeqNumber;
    }

    
    @Column(name="message_sequence_number")
    public Long getMessageSequenceNumber() {
        return this.messageSequenceNumber;
    }
    
    public void setMessageSequenceNumber(Long messageSequenceNumber) {
        this.messageSequenceNumber = messageSequenceNumber;
    }

    
    @Column(name="new_api_key")
    public String getNewApiKey() {
        return this.newApiKey;
    }
    
    public void setNewApiKey(String newApiKey) {
        this.newApiKey = newApiKey;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="new_api_key_modified_at", length=29)
    public Date getNewApiKeyModifiedAt() {
        return this.newApiKeyModifiedAt;
    }
    
    public void setNewApiKeyModifiedAt(Date newApiKeyModifiedAt) {
        this.newApiKeyModifiedAt = newApiKeyModifiedAt;
    }

    
    @Column(name="new_aes_key")
    public String getNewAesKey() {
        return this.newAesKey;
    }
    
    public void setNewAesKey(String newAesKey) {
        this.newAesKey = newAesKey;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="new_aes_key_modified_at", length=29)
    public Date getNewAesKeyModifiedAt() {
        return this.newAesKeyModifiedAt;
    }
    
    public void setNewAesKeyModifiedAt(Date newAesKeyModifiedAt) {
        this.newAesKeyModifiedAt = newAesKeyModifiedAt;
    }

    
    @Column(name="key_renegotiation_status_type")
    public String getKeyRenegotiationStatusType() {
        return this.keyRenegotiationStatusType;
    }
    
    public void setKeyRenegotiationStatusType(String keyRenegotiationStatusType) {
        this.keyRenegotiationStatusType = keyRenegotiationStatusType;
    }

    
    @Column(name="first_api_key")
    public String getFirstApiKey() {
        return this.firstApiKey;
    }
    
    public void setFirstApiKey(String firstApiKey) {
        this.firstApiKey = firstApiKey;
    }

    
    @Column(name="custom_alphabet")
    public String getCustomAlphabet() {
        return this.customAlphabet;
    }
    
    public void setCustomAlphabet(String customAlphabet) {
        this.customAlphabet = customAlphabet;
    }

    
    @Column(name="description")
    public String getDescription() {
        return this.description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }

    
    @Column(name="device_name")
    public String getDeviceName() {
        return this.deviceName;
    }
    
    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="modified_at", length=29)
    public Date getModifiedAt() {
        return this.modifiedAt;
    }
    
    public void setModifiedAt(Date modifiedAt) {
        this.modifiedAt = modifiedAt;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="created_at", length=29)
    public Date getCreatedAt() {
        return this.createdAt;
    }
    
    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="clientSecureCommunicationData")
    public Set<BiMappings> getBiMappingses() {
        return this.biMappingses;
    }
    
    public void setBiMappingses(Set<BiMappings> biMappingses) {
        this.biMappingses = biMappingses;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="clientSecureCommunicationData")
    public Set<ClientSecureCommunicationDataHistory> getClientSecureCommunicationDataHistories() {
        return this.clientSecureCommunicationDataHistories;
    }
    
    public void setClientSecureCommunicationDataHistories(Set<ClientSecureCommunicationDataHistory> clientSecureCommunicationDataHistories) {
        this.clientSecureCommunicationDataHistories = clientSecureCommunicationDataHistories;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="clientSecureCommunicationData")
    public Set<SmsReceived> getSmsReceiveds() {
        return this.smsReceiveds;
    }
    
    public void setSmsReceiveds(Set<SmsReceived> smsReceiveds) {
        this.smsReceiveds = smsReceiveds;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="clientSecureCommunicationData")
    public Set<TemporarySmsStorage> getTemporarySmsStorages() {
        return this.temporarySmsStorages;
    }
    
    public void setTemporarySmsStorages(Set<TemporarySmsStorage> temporarySmsStorages) {
        this.temporarySmsStorages = temporarySmsStorages;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="clientSecureCommunicationData")
    public Set<UnhandledSmsReceived> getUnhandledSmsReceiveds() {
        return this.unhandledSmsReceiveds;
    }
    
    public void setUnhandledSmsReceiveds(Set<UnhandledSmsReceived> unhandledSmsReceiveds) {
        this.unhandledSmsReceiveds = unhandledSmsReceiveds;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="clientSecureCommunicationData")
    public Set<EmailForwardOutSettings> getEmailForwardOutSettingses() {
        return this.emailForwardOutSettingses;
    }
    
    public void setEmailForwardOutSettingses(Set<EmailForwardOutSettings> emailForwardOutSettingses) {
        this.emailForwardOutSettingses = emailForwardOutSettingses;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="clientSecureCommunicationData")
    public Set<SmsSent> getSmsSents() {
        return this.smsSents;
    }
    
    public void setSmsSents(Set<SmsSent> smsSents) {
        this.smsSents = smsSents;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="clientSecureCommunicationData")
    public Set<WsForwardOutSettings> getWsForwardOutSettingses() {
        return this.wsForwardOutSettingses;
    }
    
    public void setWsForwardOutSettingses(Set<WsForwardOutSettings> wsForwardOutSettingses) {
        this.wsForwardOutSettingses = wsForwardOutSettingses;
    }




}


